/* * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：超级管理员
 * 日  期：2023-07-20 11:30
 * 描  述：信号表
 */
var acceptClick;
var keyValue = request('keyValue');
var WireGroupTemplateID = request('WireGroupTemplateID'); //会是“”因为从index界面点击编辑按钮时，没有这个参数
var ProjectId = request('ProjectId');
var openType = request('openType');//look为查看
var LinkedID = request('LinkedID');
var bootstrap = function ($, learun) {
    "use strict";
    var page = {
        init: function () {
            $('.lr-form-wrap').lrscroll();
            page.bind();
            page.initData();
        },
        bind: function () {
            $('#WireGroupTemplateID').val(WireGroupTemplateID);
            $('#Signal_Group').lrDataItemSelect({ code: 'Be_Signal_Group' });
            $('#Status').lrDataItemSelect({ code: 'Be_SignalState' });
            $('#LinkedID').lrselect({
                url: top.$.rootUrl + '/ZZDT_EC/ec_Wire_Group/GetTreeData',//获取数据地址
                param: { ProjectId: ProjectId, isShowCheck: false, WireGroupTemplateID: WireGroupTemplateID, CurWireGroupID: keyValue }, //请求后台参数
                type: 'tree',//数据展示类型：                1.default：普通；2.tree：树形数据；3. treemultiple：树形多选；multiple：普通多选
                allowSearch: true,
                maxHeight: 225
            }).lrselectSet(LinkedID);//lrselectSet获取下拉框选择的值，传入UpObjectTypeID
            //专业归属
            $('#ElecOnly').lrselect({
                data: [
                    {
                        id: 0, text: '轮机专业'
                    },
                    {
                        id: 1, text: '电气专业'
                    },
                ],
                value: 'id',
                text: 'text',
            });
        },
        initData: function () {
            if (!!keyValue) {
                $.lrSetForm(top.$.rootUrl + '/ZZDT_EC/ec_Wire_Group/GetFormData?keyValue=' + keyValue + "&ProjectId=" + ProjectId, function (data) {
                    for (var id in data) {
                        if (!!data[id].length && data[id].length > 0) {
                            $('#' + id).jfGridSet('refreshdata', data[id]);
                        }
                        else {
                            $('[data-table="' + id + '"]').lrSetFormData(data[id]);
                        }
                    }
                });
            }
        }
    };
    // 保存数据
    acceptClick = function (callBack) {
        var formData = $('#form').lrGetFormData();
        if (!$('#form').lrValidform()) {
            return false;
        }
        //文字特殊字符及最大长度检测
        if (!verify()) {
            return false;
        }
        if (!formData.LinkedID) {
            formData.LinkedID = '0';

        }
        var postData = {
            strEntity: JSON.stringify(formData),
            ProjectId: ProjectId
        }
        $.lrSaveForm(top.$.rootUrl + '/ZZDT_EC/ec_Wire_Group/SaveForm?keyValue=' + keyValue, postData, function (res) {
            // 保存成功后才回调
            if (!!callBack) {
                callBack();
            }
        });
    };


    page.init();
}

//文字特殊字符及最大长度检测
function verify() {
    var msg = checkStr($("#Group_Name").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Group_Name"), msg);
        $('#Group_Name').click();
        return false;
    }
    msg = checkStr($("#Group_Desc_EN").val(), 255);
    if (msg) {
        $.lrValidformMessage($("#Group_Desc_EN"), msg);
        $('#Group_Desc_EN').click();
        return false;
    }
    msg = checkStr($("#Group_Desc").val(), 255);
    if (msg) {
        $.lrValidformMessage($("#Group_Desc"), msg);
        $('#Group_Desc').click();
        return false;
    }
    msg = checkStr($("#IO_Type").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#IO_Type"), msg);
        $('#IO_Type').click();
        return false;
    }
    msg = checkStr($("#Code").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Code"), msg);
        $('#Code').click();
        return false;
    }
    msg = checkStr($("#Range_Min").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Range_Min"), msg);
        $('#Range_Min').click();
        return false;
    }
    msg = checkStr($("#Range_Max").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Range_Max"), msg);
        $('#Range_Max').click();
        return false;
    }
    msg = checkStr($("#Unit").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Unit"), msg);
        $('#Unit').click();
        return false;
    }
    msg = checkStr($("#Alarm_LL").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Alarm_LL"), msg);
        $('#Alarm_LL').click();
        return false;
    }
    msg = checkStr($("#Alarm_L").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Alarm_L"), msg);
        $('#Alarm_L').click();
        return false;
    }
    msg = checkStr($("#Alarm_H").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Alarm_H"), msg);
        $('#Alarm_H').click();
        return false;
    }
    msg = checkStr($("#Alarm_HH").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Alarm_HH"), msg);
        $('#Alarm_HH').click();
        return false;
    }
    msg = checkStr($("#AL_GRP").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#AL_GRP"), msg);
        $('#AL_GRP').click();
        return false;
    }
    msg = checkStr($("#BL_GRP").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#BL_GRP"), msg);
        $('#BL_GRP').click();
        return false;
    }
    msg = checkStr($("#Time_Delay").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Time_Delay"), msg);
        $('#Time_Delay').click();
        return false;
    }
    msg = checkStr($("#Supplier").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Supplier"), msg);
        $('#Supplier').click();
        return false;
    }
    msg = checkStr($("#SENSOR_CODE").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#SENSOR_CODE"), msg);
        $('#SENSOR_CODE').click();
        return false;
    }
    msg = checkStr($("#Remarks").val(), 200);
    if (msg) {
        $.lrValidformMessage($("#Remarks"), msg);
        $('#Remarks').click();
        return false;
    }
    return true;
}